<div class="card">
    <div class="exercise-img" [ngStyle]="imageStyle()">
        <button mat-icon-button class="menu" [matMenuTriggerFor]="menu">
            <mat-icon> more_horiz</mat-icon>
        </button>

        <mat-menu #menu="matMenu">
            <button mat-menu-item (click)="openViewDialog()">
                <mat-icon>visibility</mat-icon>
                <span>Visualizar</span>
            </button>
            <button mat-menu-item (click)="openUpdateDialog()">
                <mat-icon>edit</mat-icon>
                <span>Editar</span>
            </button>
            <ng-template [canView]="[1, 3]">
                <button mat-menu-item (click)="openDeleteDialog()">
                    <mat-icon color="warn">delete</mat-icon>
                    <span>Remover</span>
                </button>
            </ng-template>
        </mat-menu>
    </div>

    <div class="card-content">
        <h3>{{ exercise.name }}</h3>

        <div class="info">
            <div class="muscle">
                <mat-icon svgIcon="sprite:athlete"></mat-icon>
                {{ exercise.muscle }}
            </div>
            <div class="type">
                <mat-icon>info</mat-icon>
                {{ getTypeOfExercise() }}
            </div>
        </div>
    </div>
</div>
